aspose file tools*
The moose likes JBoss/WildFly and the fly likes JBoss 5.0.0.GA in Eclipse 3.4.1 Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of Spring in Action this week in the Spring forum!
JavaRanch » Java Forums » Products » JBoss/WildFly
Bookmark "JBoss 5.0.0.GA in Eclipse 3.4.1" Watch "JBoss 5.0.0.GA in Eclipse 3.4.1" New topic
Author

JBoss 5.0.0.GA in Eclipse 3.4.1

Arjun Reddy
Ranch Hand

Joined: Nov 10, 2007
Posts: 627
Hi All,

I am trying to use JBoss in my Eclipse IDE but I keep getting this error message whcih does not allow me to proceed further when I try to add New JBoss v5.0 Runtime.

Error: C:\jboss-5.0.0.GA\server\default\lib\mail.jar

Right now, I have in my classpath:

C:\jboss-5.0.0.GA\server\default\lib;
C:\jboss-5.0.0.GA\bin\run.jar;
C:/jboss-5.0.0.GA;


Please tell me what to do.

Thanks.


Be Humble... Be Nice.
Peter Johnson
author
Bartender

Joined: May 14, 2008
Posts: 5836
    
    7

There has to be more to the error message than what you posted. Is it saying that the mail.jar file is missing? If so, I agree - between CR2 and GA all of the files in server/default/lib were moved to common/lib. Therefore, if Eclipse is attempting to verify that you provided a correct JBOSS_HOME location, and is using the mail.jar as part of that verification, then it will fail for JBoss AS 5.0.0.GA.


JBoss In Action
Arjun Reddy
Ranch Hand

Joined: Nov 10, 2007
Posts: 627
Originally posted by Peter Johnson:
There has to be more to the error message than what you posted. Is it saying that the mail.jar file is missing? If so, I agree - between CR2 and GA all of the files in server/default/lib were moved to common/lib. Therefore, if Eclipse is attempting to verify that you provided a correct JBOSS_HOME location, and is using the mail.jar as part of that verification, then it will fail for JBoss AS 5.0.0.GA.


Um... so what should I be doing now?/

Thanks.
josh schell
Greenhorn

Joined: Jul 16, 2008
Posts: 14
yeah i see the error your referring to. This might help:
bugs.eclipse.org/bugs/show_bug.cgi?id=257823

i found this in a related post somewhere:

some forum
Arjun Reddy
Ranch Hand

Joined: Nov 10, 2007
Posts: 627
Originally posted by josh schell:
yeah i see the error your referring to. This might help:
bugs.eclipse.org/bugs/show_bug.cgi?id=257823

i found this in a related post somewhere:

some forum


Thanks Josh. Yes that link helped. I am able use Jboss in eclipse now and the server is starting too. We have to do this for the problem to be solved.

-open file
"eclipse\plugins\org.eclipse.jst.server.generic.jboss_1.5....\servers\jboss5.serverdef"
-find lines "<exclude name="server/default/lib/mail.jar" />" and "<archive
path="${serverRootDirectory}/server/default/lib/mail.jar" />"
-they should be changed to "<exclude name="common/lib/mail.jar" />" and
"<archive path="${serverRootDirectory}/common/lib/mail.jar" />"
Of course this will break support for Betas and CRs

However, see the bolded lines?/ What does that mean?

Thanks again.
Jaikiran Pai
Marshal

Joined: Jul 20, 2005
Posts: 10207
    
166

Of course this will break support for Betas and CRs

However, see the bolded lines?/ What does that mean?


The jar files were moved to the common/lib folder, starting JBoss-5.0 GA. Earlier versions of JBoss-5.0 (which included the Beta and CR versions) had these jar files in the server/< serverName>/lib folder. So that line in bold, tells you that the changes that you are making will get it working for JBoss-5.0 GA but with those changes, you will not be able to use JBoss-5.0 Beta or JBoss-5.0 CR versions.


[My Blog] [JavaRanch Journal]
Arjun Reddy
Ranch Hand

Joined: Nov 10, 2007
Posts: 627
Originally posted by Jaikiran Pai:


The jar files were moved to the common/lib folder, starting JBoss-5.0 GA. Earlier versions of JBoss-5.0 (which included the Beta and CR versions) had these jar files in the server/< serverName>/lib folder. So that line in bold, tells you that the changes that you are making will get it working for JBoss-5.0 GA but with those changes, you will not be able to use JBoss-5.0 Beta or JBoss-5.0 CR versions.


Thanks JaiKiran.
 
Don't get me started about those stupid light bulbs.
 
subject: JBoss 5.0.0.GA in Eclipse 3.4.1